<?php

if ( calla_elated_contact_form_7_installed() ) {
	include_once ELATED_FRAMEWORK_MODULES_ROOT_DIR . '/widgets/contact-form-7/contact-form-7.php';
	
	add_filter( 'calla_core_register_widgets', 'calla_elated_register_cf7_widget' );
}

if ( ! function_exists( 'calla_elated_register_cf7_widget' ) ) {
	/**
	 * Function that register cf7 widget
	 */
	function calla_elated_register_cf7_widget( $widgets ) {
		$widgets[] = 'CallaElatedContactForm7Widget';
		
		return $widgets;
	}
}